Page MenuHomePhabricator

Watchlist Expiry: update dismissal time period for Firefox
Closed, ResolvedPublic

Description

Acceptance Criteria:

  • The behavior after selecting a dropdown in Firefox should be fixed to be the same as in Chrome, which means:
    • When user first sees pop-up (i.e., upon first click of star), it should display for the "short" time period before being automatically dismissed
    • When the user makes a temporary selection, the pop-up should display for the "short" time period before being automatically dismissed
    • When the user clicks the star to unwatch the page, the pop-up should display for the "short" time period before being automatically dismissed

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptAug 27 2020, 10:32 PM
ifried renamed this task from Watchlist Expiry: update dismissal time period for Firefox [placeholder] to Watchlist Expiry: update dismissal time period for Firefox.Sep 1 2020, 5:46 PM
ifried updated the task description. (Show Details)
ifried set the point value for this task to 5.
ifried moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
ifried moved this task from Estimated to Kanban-2020-21-Q1 on the Community-Tech board.
dmaza renamed this task from Watchlist Expiry: update dismissal time period for Firefox to Watchlist Expiry: update dismissal time period for Firefox [placeholder].Sep 1 2020, 6:07 PM
dmaza claimed this task.
dmaza updated the task description. (Show Details)
dmaza removed the point value for this task.

To clarify, the specific bug we uncovered in Firefox is that the popup is dismissed when you make a selection from the dropdown, when the popup should remain open as it does in Chromium browsers.

Change 623866 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/core@master] Don't close .mw-notification when clicking on <select> element

https://gerrit.wikimedia.org/r/623866

Change 623866 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.notification: Don't close notif when clicking <select> element

https://gerrit.wikimedia.org/r/623866

dom_walden added a subscriber: dom_walden.

After making a selection from the expiry dropdown, the popup displays for about 6 seconds before automatically dismissing.

It is possible, within that 6 seconds, to make another selection from the dropdown (if you change your mind). The popup displays for another 6 seconds (i.e. the timer appears to reset).

If, when the popup first appears, you open the dropdown and select "Permanent", it will remain indefinitely (until you navigate away, click on the popup or select another expiry time). This only happens if "Permanent" is your first selection after clicking the watch star. If you select another expiry option first and then select "Permanent", it dismisses after 6 seconds. I don't see many users doing this in reality. Because permanent is the default, I don't know why a user would feel the need to open the dropdown and select it.

Tested Vector, MonoBook and Timeless on Firefox 68 (not that I think the skin makes a difference).

Also tested other browsers and OSes on Vector:

  • Win10 Firefox 80
  • Win10 Chrome 85
  • Win10 IE11
  • Mac Catalina Firefox 80
  • Mac Catalina Safari 13
  • Mac Catalina Chrome 85

Test environment: https://en.wikipedia.beta.wmflabs.org MediaWiki 1.36.0-alpha (c4911b2) 2020-09-04T07:23:54 AND MediaWiki 1.36.0-alpha (e81e81e) 2020-09-06T18:54:00.

Change 626532 had a related patch set uploaded (by Dmaza; owner: MusikAnimal):
[mediawiki/core@REL1_35] mediawiki.notification: Don't close notif when clicking <select> element

https://gerrit.wikimedia.org/r/626532

dmaza renamed this task from Watchlist Expiry: update dismissal time period for Firefox [placeholder] to Watchlist Expiry: update dismissal time period for Firefox.Sep 11 2020, 4:00 AM

Change 626532 merged by jenkins-bot:
[mediawiki/core@REL1_35] mediawiki.notification: Don't close notif when clicking <select> element

https://gerrit.wikimedia.org/r/626532

I have tested this on betawiki, and it looks good. The pop-up now properly dismisses when the user makes a temporary selection or when they make no selection (i.e., keeps default of permanent). As for the behavior that Dom described of explicitly selecting 'permanent' in the dropdown (which leads to a lack of automatic dismissal), I have been able to reproduce this issue in Firefox and Brave. It is low priority, but I have created a separate ticket, in case we want to address it later (T262985). I am marking this work as Done.